package net.northking.cctp.upperComputer.driver.ios.packet;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class IntCommandData implements ICommandData {

    public int anInt;

    public void setAnInt(int anInt) {
        this.anInt = anInt;
    }

    public int getAnInt() {
        return anInt;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        anInt = dataInput.readInt();
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        dataOutput.writeInt(anInt);
    }
}
